Crypto++ 8.2 Free C++ class library of cryptographic schemes

Static Public Member Functions | List of all members
XTEA_Info Struct Reference

XTEA block cipher information. More...

Inheritance diagram for XTEA_Info:

## Static Public Member Functions
static const char * | StaticAlgorithmName ()
| The algorithm name. More...
Static Public Member Functions inherited from FixedKeyLength< 16 >
static size_t CRYPTOPP_API | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Member Functions inherited from VariableRounds< 32 >
static unsigned int | StaticGetDefaultRounds (size_t keylength)
| The default number of rounds for the algorithm based on key length provided by a static function. More...

## Additional Inherited Members
Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< 16 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...
Static Public Attributes inherited from VariableRounds< 32 >
static const int | DEFAULT_ROUNDS
| The default number of rounds for the algorithm provided as a constant.
static const int | MIN_ROUNDS
| The minimum number of rounds for the algorithm provided as a constant.
static const int | MAX_ROUNDS
| The maximum number of rounds for the algorithm provided as a constant.

## Detailed Description

XTEA block cipher information.

Definition at line 63 of file tea.h.

## Member Function Documentation

## ◆ StaticAlgorithmName()

static const char* XTEA_Info::StaticAlgorithmName | ( |  | ) |
| inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

Definition at line 69 of file tea.h.

The documentation for this struct was generated from the following file:

- tea.h